> For the complete documentation index, see [llms.txt](https://docs.wundaflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wundaflow.com/api/errors.md).

# Errors

Wundaflow uses standard HTTP response codes to indicate success or failure of an API request. Generally, codes in the `2xx` range indicate success, codes in `4xx` range indicate an error that failed due to the request params, and codes in the `5xx` range indicate an error with Wundaflow's platform.

Most `4xx` error codes will also return a JSON response body that indicates the exact issue with the request.

<table><thead><tr><th width="248">HTTP status</th><th>Summary</th></tr></thead><tbody><tr><td>200 - OK</td><td>Everything was OK.</td></tr><tr><td>400 - Bad Request</td><td>Request was not accepted, often due to missing or incorrect params.</td></tr><tr><td>401 - Unauthorized</td><td>Missing, revoked or invalid API key.</td></tr><tr><td>402 - Request Failed</td><td>The params provided were valid but the request failed.</td></tr><tr><td>403 - Forbidden</td><td>API key provided does not have permission to perform the requested action.</td></tr><tr><td>404 - Not Found</td><td>The requested resource could not be found.</td></tr><tr><td>409 - Conflict</td><td>The request conflicts with another request or the resource is not in the correct state.</td></tr><tr><td>429 - Too Many Requests</td><td>You are being rate limited, slow down your requests or ask for a rate increase.</td></tr><tr><td>500 - Server Error</td><td>Something is wrong on Wundaflow's side. Try the request again or contact support.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wundaflow.com/api/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
